Bug 1201904 - [abrt] california: g_type_check_instance_cast(): california killed by SIGSEGV [NEEDINFO]
Summary: [abrt] california: g_type_check_instance_cast(): california killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: california
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5519114b45c1bf2f9499f17c87c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-13 18:30 UTC by Karl-Heinz Hoetzel
Modified: 2016-07-19 13:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:02:02 UTC
Type: ---
mail2rajkuma: needinfo?


Attachments (Terms of Use)
File: backtrace (50.79 KB, text/plain)
2015-03-13 18:30 UTC, Karl-Heinz Hoetzel
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-13 18:30 UTC, Karl-Heinz Hoetzel
no flags Details
File: core_backtrace (17.15 KB, text/plain)
2015-03-13 18:30 UTC, Karl-Heinz Hoetzel
no flags Details
File: dso_list (19.78 KB, text/plain)
2015-03-13 18:30 UTC, Karl-Heinz Hoetzel
no flags Details
File: environ (1.66 KB, text/plain)
2015-03-13 18:30 UTC, Karl-Heinz Hoetzel
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-13 18:30 UTC, Karl-Heinz Hoetzel
no flags Details
File: maps (94.99 KB, text/plain)
2015-03-13 18:30 UTC, Karl-Heinz Hoetzel
no flags Details
File: open_fds (876 bytes, text/plain)
2015-03-13 18:30 UTC, Karl-Heinz Hoetzel
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2015-03-13 18:30 UTC, Karl-Heinz Hoetzel
no flags Details
File: var_log_messages (1.88 KB, text/plain)
2015-03-13 18:31 UTC, Karl-Heinz Hoetzel
no flags Details

Description Karl-Heinz Hoetzel 2015-03-13 18:30:43 UTC
Version-Release number of selected component:
california-0.3.1-1.fc22

Additional info:
reporter:       libreport-2.4.0
backtrace_rating: 4
cmdline:        california
crash_function: g_type_check_instance_cast
executable:     /usr/bin/california
kernel:         4.0.0-0.rc2.git0.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4060
 #1 window_focus_out at gtkpopover.c:391
 #2 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:85
 #7 gtk_widget_event_internal at gtkwidget.c:7787
 #8 gtk_main_do_event at gtkmain.c:1703
 #14 gtk_dialog_run at gtkdialog.c:1391
 #15 california_host_main_window_show_deck_window at /usr/src/debug/california-0.3.1/src/host/host-main-window.vala:354
 #16 california_host_main_window_on_edit_event at /usr/src/debug/california-0.3.1/src/host/host-main-window.vala:511
 #17 __lambda23_ at /usr/src/debug/california-0.3.1/src/host/host-main-window.vala:494
 #18 ___lambda23__gsource_func at host-main-window.c:2951

Comment 1 Karl-Heinz Hoetzel 2015-03-13 18:30:46 UTC
Created attachment 1001471 [details]
File: backtrace

Comment 2 Karl-Heinz Hoetzel 2015-03-13 18:30:48 UTC
Created attachment 1001472 [details]
File: cgroup

Comment 3 Karl-Heinz Hoetzel 2015-03-13 18:30:49 UTC
Created attachment 1001473 [details]
File: core_backtrace

Comment 4 Karl-Heinz Hoetzel 2015-03-13 18:30:51 UTC
Created attachment 1001474 [details]
File: dso_list

Comment 5 Karl-Heinz Hoetzel 2015-03-13 18:30:52 UTC
Created attachment 1001475 [details]
File: environ

Comment 6 Karl-Heinz Hoetzel 2015-03-13 18:30:53 UTC
Created attachment 1001476 [details]
File: limits

Comment 7 Karl-Heinz Hoetzel 2015-03-13 18:30:56 UTC
Created attachment 1001477 [details]
File: maps

Comment 8 Karl-Heinz Hoetzel 2015-03-13 18:30:57 UTC
Created attachment 1001478 [details]
File: open_fds

Comment 9 Karl-Heinz Hoetzel 2015-03-13 18:30:59 UTC
Created attachment 1001479 [details]
File: proc_pid_status

Comment 10 Karl-Heinz Hoetzel 2015-03-13 18:31:00 UTC
Created attachment 1001480 [details]
File: var_log_messages

Comment 11 Jiri Eischmann 2015-03-15 22:29:28 UTC
I experience this problem when trying to add more details to new event.

Comment 12 mail2rajkuma 2015-07-24 04:37:16 UTC
Dear all, 

I am facing cast type check issue in GLIB, if any one have the similar issue fixed, Please advise.

Program terminated with signal SIGSEGV, Segmentation fault.
#0  g_type_check_instance_cast (type_instance=0x7d92bad0, iface_type=169816792) at gtype.c:4060
4060              node = lookup_type_node_I (type_instance->g_class->g_type);
(gdb) bt
#0  g_type_check_instance_cast (type_instance=0x7d92bad0, iface_type=169816792) at gtype.c:4060
#1  0x00a57b80 in gst_multiudpsink_configure_client (sink=0xc339da8, client=0x7e371788) at gstmultiudpsink.c:1234
#2  0x00a599c9 in gst_multiudpsink_start (bsink=0xc339da8) at gstmultiudpsink.c:1494
#3  0x00be25cf in gst_base_sink_change_state (element=0xc339da8, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstbasesink.c:4949
#4  0x00f345d5 in gst_element_change_state (element=0xc339da8, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2604
#5  0x00f377c5 in gst_element_set_state_func (element=0xc339da8, state=GST_STATE_READY) at gstelement.c:2560
#6  0x00f339a0 in gst_element_set_state (element=0xc339da8, state=GST_STATE_READY) at gstelement.c:2461
#7  0x00f14e00 in gst_bin_element_set_state (next=GST_STATE_READY, current=GST_STATE_NULL, start_time=0, base_time=0,
    element=0xc339da8, bin=0xc236dc8) at gstbin.c:2328
#8  gst_bin_change_state_func (element=0xc236dc8, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstbin.c:2676
#9  0x00f345d5 in gst_element_change_state (element=0xc236dc8, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2604
#10 0x00f377c5 in gst_element_set_state_func (element=0xc236dc8, state=GST_STATE_READY) at gstelement.c:2560
#11 0x00f339a0 in gst_element_set_state (element=0xc236dc8, state=GST_STATE_READY) at gstelement.c:2461
#12 0x00f14e00 in gst_bin_element_set_state (next=GST_STATE_READY, current=GST_STATE_NULL, start_time=0, base_time=0,
    element=0xc236dc8, bin=0xc52fed0) at gstbin.c:2328
#13 gst_bin_change_state_func (element=0xc52fed0, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstbin.c:2676
#14 0x00f5beba in gst_pipeline_change_state (element=0xc52fed0, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstpipeline.c:474
#15 0x00f345d5 in gst_element_change_state (element=0xc52fed0, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2604
#16 0x00f377c5 in gst_element_set_state_func (element=0xc52fed0, state=GST_STATE_PLAYING) at gstelement.c:2560
#17 0x00f339a0 in gst_element_set_state (element=0xc52fed0, state=GST_STATE_PLAYING) at gstelement.c:2461
#18 0x0827392c in HostGSTRtpBin::starterFunc (bin=0xc3dd0e0) at ../../full/xgate/hostmedia.cpp:554
#19 0x00377752 in g_thread_proxy (data=0xa89516f0) at gthread.c:764
#20 0x00a1bb39 in start_thread () from /lib/libpthread.so.0
#21 0x00777c2e in clone () from /lib/libc.so.6

Comment 13 Fedora End Of Life 2016-07-19 13:02:02 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.